Bug 36181 - a11y: Focus is not passed into the Debugger window properly
a11y: Focus is not passed into the Debugger window properly
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
3.x
Sun Solaris
: P3 (vote)
: TBD
Assigned To: Peter Zavadsky
issues@platform
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 11:19 UTC by ccv
Modified: 2008-12-23 11:52 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ccv 2003-09-18 11:19:03 UTC
1. Select example java program in explorer window
and open it in the Source Editor.
   class example {
     public static void main(String[] args) {
      int i;
      i=1;
     }
   }
   Open debugger window.
2. Set focus is in the Source editor
3. Push F7(Step into), focus is on the first line
"i=1"
4. Push CTRL-5 (Debugger window)

ISSUE: Debugger window is selected, but is not
focused. Focus remains in the Sourcce editor.

5. Push CTRL-2 (Filesystems window); Focus is in
the Filesystems window, it is OK.
6. Push CTRL-5 again (Debugger window)

ISSUE: Debugger window is selected, but is not
focused. Focus remains in the Filesystems window.
You can push the Tab key and the Down/Up key and
nodes were selected.

7. Push CTRL-4 (Output window) and CTRL-5 again

ISSUE: Debugger window is selected, but not
focused. Focus remains in the Output window. 

Netbeans 3.5.1 IDE/1 spe=3.42.2
jdk 1.4.1_03
Comment 1 Marian Mirilovic 2003-11-26 12:55:34 UTC
Because Window System v1 will not be supported from now by our team, all old
winsys issues (now "core/window system v1" issues) are going to be closed as
WONTFIX. 

Changes in API which emerged both from UI spec 
and problems with adjusting to the older API are described in the document
http://core.netbeans.org/windowsystem/changes.html.
 It shows also recommends how the client code should be adjusted to the new
window system.

If you think this issue apply also to the new winsys then change the
subcomponent (to "core/window system") and REOPEN it.
Comment 2 ccv 2003-11-27 05:09:27 UTC
It is important accessibility issue for debugging.
Comment 3 Peter Zavadsky 2003-11-28 12:28:42 UTC
It is old winsys issue.
Comment 4 Peter Zavadsky 2003-11-28 12:31:44 UTC
This doesn't apply to new window system. Old winsys is not supported
yet, unless it will be required to be inculed to some patch release.
Comment 5 Marian Mirilovic 2004-02-27 14:09:35 UTC
issue doesn't apply to new window system - verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo